import { html as n } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, i = (c, e, p, s) => {
  for (var t = s > 1 ? void 0 : s ? v(e, p) : e, l = c.length - 1, o; l >= 0; l--)
    (o = c[l]) && (t = (s ? o(e, p, t) : o(t)) || t);
  return s && t && m(e, p, t), t;
};
let r = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--hsbc", this.class = "c-pieIcon c-pieIcon--hsbc", this.name = "IconPaymentHsbc";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 24 24" class="c-pieIcon c-pieIcon--hsbc"><path fill="#fff" d="M7.01 6.88h9.993v10.224H7.009V6.88Z"></path><path fill="#DB0011" d="M17.003 17.116V6.88L22 12.005l-4.997 5.11Z"></path><path fill="#DB0011" d="M7.01 6.88h9.993l-4.996 5.125L7.009 6.88Z"></path><path fill="#DB0011" d="M7.01 6.88v10.236L2 12.005 7.01 6.88Z"></path><path fill="#DB0011" d="M17.003 17.116H7.009l4.998-5.111 4.996 5.11Z"></path></svg>`;
  }
};
i([
  h({ type: String, reflect: !0 })
], r.prototype, "size", 2);
i([
  h({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = i([
  f("icon-payment-hsbc")
], r);
export {
  r as IconPaymentHsbc
};
